PRO FILSTAT, mstruc, ipstat
;
;	subroutine to fill ipstat with derivative types
;
;	FILL THE TYPE PARTIAL DERIVATIVE ARRAY
;
;	1-nbands ARE CENTERS
;	nbands+1 - 2nbands ARE WIDTHS
;	2nbands+1 - 3bands ARE STRENGTHS
;
	nbands = mstruc.nbands
	nparam = 3*nbands + 4
	ipstat = FLTARR( nparam, 2 )

	FOR K=0,nbands-1 DO BEGIN
	    IPSTAT(K,1)=1
	    IPSTAT(nbands+K,1)=2
	    IPSTAT(nbands+nbands+K,1)=3
	ENDFOR

	IPSTAT(NPARAM-4:NPARAM-1,1)=[4,5,6,7]    ; CONSTANT, X, X*X, X*X*X

	RETURN
	END
