;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	TREMOVE.FOR
;
PRO TREMOVE, NPNTS, WAVS, WAVF, WAVIN, RATIO, CONST, SLOPE, iUnits
;
;	PROGRAM COMPUTES STRAIGHT LINE AT DESIRED WAVENUMBERS
;
;	FIND THE TWO PTS CLOSEST TO WAV1,WAV2
;
	IF iUnits EQ 0 THEN BEGIN
	   WAVA=WLtoWN(WAVS)
	   WAVB=WLtoWN(WAVF)    		; CONVERT NM TO WNUMBER
	ENDIF ELSE BEGIN
	   WAVA = WAVS
	   WAVB = WAVF
	ENDELSE

	ndx = WHERE( WAVIN GE WAVA )
	IP1 = ndx(0)

	ndx = WHERE( WAVIN GE WAVB )
	IP2 = ndx(0)
;
;	NOW BUILD STRAIGHT LINE
;
	RAT1=(RATIO(IP1-1)+RATIO(IP1)+RATIO(IP1+1))/3.0
	RAT2=(RATIO(IP2-1)+RATIO(IP2)+RATIO(IP2+1))/3.0
	WAV1=WAVIN(IP1)
	WAV2=WAVIN(IP2)
	SLOPE=(RAT2-RAT1)/(WAV2-WAV1)   ; CALCULATE M
	C1=RAT1-(SLOPE*WAV1)            ; CALC      C
	C2=RAT2-(SLOPE*WAV2)
	CONST=(C1+C2)/2.0

	RETURN
	END
