PRO WRITEGAUSS, WAVIN, RATIN, FILE, P1, P2, P3

	npnts  = N_ELEMENTS( WavIn )
	nbands = N_ELEMENTS(p1)

	EXT='.asc'
	FILOUT=FILE+EXT

	itime = SYSTIME()

	OPENW, lun, filout, $
	       /GET_LUN, $
	       ERROR = err

	IF (err NE 0 )THEN PRINTF, -2, !ERR_STRING

	PRINTF, lun, '; File created: '+itime
	PRINTF, lun, ';'
	PRINTF, lun, '; Absorption Bands with'

	cform = "(" + STRTRIM(STRING(nbands),2)+ "F12.4)"

	PRINTF, lun, '; Center = ' + $
		      STRING( p1, FORMAT = cform )
	PRINTF, lun, '; FWHM   = ' + $
		      STRING( p2, FORMAT = cform )
	PRINTF, lun, '; Str    = ' + $
		      STRING( p3, FORMAT = cform )
	PRINTF, lun, ';'

	gform = "(" + STRTRIM(STRING(nbands+1),2)+ "E16.8)"
	FOR i=0,npnts-1 DO BEGIN
		gband = REFORM( ratin(i,*) )
		PRINTF, lun, wavin(i), gband, FORMAT=gform
	ENDFOR

	CLOSE, lun
	FREE_LUN, lun
	RETURN
	END
